#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{
    gl_FragColor = texture2D(u_texture, v_texCoord) * v_fragmentColor;
    float brightness = (gl_FragColor.r + gl_FragColor.g + gl_FragColor.b) * (1. / 3.);
	float yellow = 1.5 * brightness;
	gl_FragColor = vec4(yellow, yellow, yellow, gl_FragColor.a)*vec4(1.1, 0.8, 0.4, 1);
}
