#ifdef GL_ES			
precision lowp float;	
#endif					

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;		
uniform sampler2D CC_Texture0;

void main(void)
{
	vec4 rgb = texture2D(CC_Texture0, v_texCoord);
	vec4 alpha = texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + 0.5));
	gl_FragColor = vec4(rgb.rgb, alpha.r);
}